Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.8.2 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.util
Class JiveBeanInfo

    java.lang.Object
      org.jivesoftware.util.JiveBeanInfo

All Implemented Interfaces:
  BeanInfo

Direct Known Subclasses:
  DefaultConnectionProviderBeanInfo

    public abstract class JiveBeanInfo

extends Object
implements BeanInfo

An abstract BeanInfo implementation that automatically constructs PropertyDescriptors and handles i18n through ResourceBundles.

Author:
  Jive Software
See Also:
  `BeanInfo`

Field Summary

Fields inherited from interface java.beans.BeanInfo
`ICON_COLOR_16x16, ICON_COLOR_32x32, ICON_MONO_16x16, ICON_MONO_32x32`

Constructor Summary
`JiveBeanInfo()`

Method Summary
`BeanInfo[]` | `getAdditionalBeanInfo()`
`abstract Class` | `getBeanClass()` Returns the bean Class.
`BeanDescriptor` | `getBeanDescriptor()`
`int` | `getDefaultEventIndex()`
`int` | `getDefaultPropertyIndex()`
`EventSetDescriptor[]` | `getEventSetDescriptors()`
`Image` | `getIcon(int iconKind)`
`MethodDescriptor[]` | `getMethodDescriptors()`
`abstract String` | `getName()` Returns the name of the class that the bean info applies to (which corresponds to the resource bundle that will be loaded).
`PropertyDescriptor[]` | `getPropertyDescriptors()`
`abstract String[]` | `getPropertyNames()` Returns the names of the properties of the bean that should be exposed.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JiveBeanInfo

    public JiveBeanInfo()

Method Detail

### getPropertyNames

    public abstract String[] getPropertyNames()

  Returns the names of the properties of the bean that should be exposed.

  Returns:
    the names of the properties that should be exposed.

### getBeanClass

    public abstract Class getBeanClass()

  Returns the bean Class.

  Returns:
    the Class of the JavaBean that the BeanInfo is for.

### getName

    public abstract String getName()

  Returns the name of the class that the bean info applies to (which corresponds to the resource bundle that will be loaded). For example, for the class `com.foo.ExampleClass`, the name would be `ExampleClass`.

  Returns:
    the name of the JavaBean that the BeanInfo is for.

### getBeanDescriptor

    public BeanDescriptor getBeanDescriptor()

  Specified by:
    `getBeanDescriptor` in interface `BeanInfo`

### getPropertyDescriptors

    public PropertyDescriptor[] getPropertyDescriptors()

  Specified by:
    `getPropertyDescriptors` in interface `BeanInfo`

### getDefaultPropertyIndex

    public int getDefaultPropertyIndex()

  Specified by:
    `getDefaultPropertyIndex` in interface `BeanInfo`

### getEventSetDescriptors

    public EventSetDescriptor[] getEventSetDescriptors()

  Specified by:
    `getEventSetDescriptors` in interface `BeanInfo`

### getDefaultEventIndex

    public int getDefaultEventIndex()

  Specified by:
    `getDefaultEventIndex` in interface `BeanInfo`

### getMethodDescriptors

    public MethodDescriptor[] getMethodDescriptors()

  Specified by:
    `getMethodDescriptors` in interface `BeanInfo`

### getAdditionalBeanInfo

    public BeanInfo[] getAdditionalBeanInfo()

  Specified by:
    `getAdditionalBeanInfo` in interface `BeanInfo`

### getIcon

    public Image getIcon(int iconKind)

  Specified by:
    `getIcon` in interface `BeanInfo`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.8.2 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Jive Software.